/*
  AntiRight
  (c) 2002-2004 Jeffrey Bedard
  jefbed@e-list.net
 
  This file is part of AntiRight.

  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* Actually, what I'd like is a little toy spaceship!!  */

#include "library.h"

/* In theses callback declarations, cb stands for callback.  */
void 
antiright_close_cb(Widget widget,
		   XtPointer client_data,
		   XtPointer call_data)
{
  XtUnmanageChild(widget);
  XtDestroyWidget(widget);
  call_data=(XtPointer)NULL;
  client_data=(XtPointer)NULL;
}

void
antiright_command(Widget command_widget)
{
  char *field_string=XmTextGetString(command_widget);
  antiright_system(field_string);
  XtFree(field_string);
}

void 
antiright_command_cb(Widget widget,
		     XtPointer client_data,
		     XtPointer call_data)
{
  antiright_command((Widget)client_data);
  
  widget=(Widget)NULL;
  call_data=(Widget)NULL;
}

void 
antiright_exit_cb()
{
  exit(0);
}

void 
antiright_system_cb(Widget widget, 
		    XtPointer client_data, 
		    XtPointer call_data)
{
  antiright_system(client_data);
  widget = (Widget)NULL;
  call_data = (XtPointer)NULL;
}

void 
antiright_set(String name, XtArgVal value)
{
  XtSetArg(antiright_arguments[antiright_number_arguments], name, value);
  antiright_number_arguments++;
}


